[mapguide-commits] r10048 - trunk/MgDev

svn_mapguide at osgeo.org svn_mapguide at osgeo.org
Tue Apr 4 10:14:58 PDT 2023


Author: jng
Date: 2023-04-04 10:14:58 -0700 (Tue, 04 Apr 2023)
New Revision: 10048

Modified:
   trunk/MgDev/cmake_bootstrap.sh
Log:
Use SWIG 4.1.1 on Linux

Modified: trunk/MgDev/cmake_bootstrap.sh
===================================================================
--- trunk/MgDev/cmake_bootstrap.sh	2023-04-04 16:55:24 UTC (rev 10047)
+++ trunk/MgDev/cmake_bootstrap.sh	2023-04-04 17:14:58 UTC (rev 10048)
@@ -143,12 +143,12 @@
     # If this dir exists, it's a no-op
     mkdir -p /tmp/download
     cd /tmp/download || exit
-    if [ ! -f /tmp/download/master.zip ]; then
-        # TODO: Until SWIG 4.1 is actually released, should fix the source archive to a particular commit (if it's possible)
-        wget https://github.com/swig/swig/archive/refs/heads/master.zip
+    if [ ! -f /tmp/download/swig.zip ]; then
+        # Use SWIG 4.1.1 release
+        wget -O swig.zip https://github.com/swig/swig/archive/refs/tags/v4.1.1.zip
     fi
-    unzip -o master.zip
-    cd /tmp/download/swig-master/ || exit
+    unzip -o swig.zip
+    cd /tmp/download/swig-4.1.1/ || exit
     ./autogen.sh
     check_build
     ./configure
@@ -462,4 +462,4 @@
 echo "Make sure to run cmake_linuxapt.sh next with --oem-working-dir set to: $OEM_WORK_DIR"
 if [ "$COMMON_SUBSET_ONLY" != "1" ]; then
     echo "If you are only building the common libs subset, you may ignore the above statement"
-fi
\ No newline at end of file
+fi



More information about the mapguide-commits mailing list